package org.netkernel.mod.architecture.bits;

import org.netkernel.ext.system.representation.IRepDeployedModules;
import org.netkernel.layer0.nkf.*;
import org.netkernel.mod.architecture.Utils;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class FindElementDeclaration extends StandardAccessorImpl
{
	public void onSource(INKFRequestContext aContext) throws Exception
	{	String hash=aContext.getThisRequest().getArgumentValue("entityId");
		IRepDeployedModules modules=(IRepDeployedModules)aContext.source("active:moduleList",IRepDeployedModules.class);
		String physicalOriginHash=Utils.findOriginatingPhysicalEndpoint(hash, modules);
		String url="/tools/ae/view/physicalDetails/"+physicalOriginHash;
		aContext.sink("httpResponse:/redirect", url);
	}
}
