package org.netkernel.mod.architecture.bits;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class SearchResolverAccessor extends StandardAccessorImpl
{
	public SearchResolverAccessor()
	{	this.declareThreadSafe();
	}
	
	public void onSource(INKFRequestContext aContext) throws Exception
	{	String documentID=aContext.getThisRequest().getArgumentValue("documentID");
		String resolved="/tools/explore/"+documentID;
		aContext.createResponseFrom(resolved);
	}	
}
